Package org.apache.sysds.runtime.iogen

# Class RowIndexStructure

java.lang.Object
org.apache.sysds.runtime.iogen.RowIndexStructure

public class RowIndexStructure extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`RowIndexStructure.IndexProperties`

## Constructor Summary

Constructors
Constructor
Description
`RowIndexStructure()`

## Method Summary

Modifier and Type
Method
Description
`HashSet<String>`
`endWithValueString()`
`HashSet<String>`
`endWithValueStrings()`
`ArrayList<String>`
`getKeyPattern()`
`RowIndexStructure.IndexProperties`
`getProperties()`
`int`
`getRowIndexBegin()`
`String`
`getSeqBeginString()`
`String`
`getSeqEndString()`
`void`
`setEndWithValueString(HashSet<String> endWithValueString)`
`void`
`setKeyPattern(ArrayList<String> keyPattern)`
`void`
`setProperties(RowIndexStructure.IndexProperties properties)`
`void`
`setRowIndexBegin(int rowIndexBegin)`
`void`
`setSeqBeginString(String seqBeginString)`
`void`
`setSeqEndString(String seqEndString)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RowIndexStructure

public RowIndexStructure()

## Method Details

### endWithValueStrings

public HashSet<String> endWithValueStrings()

### getProperties

public RowIndexStructure.IndexProperties getProperties()

### setProperties

public void setProperties(RowIndexStructure.IndexProperties properties)

### getKeyPattern

public ArrayList<String> getKeyPattern()

### setKeyPattern

public void setKeyPattern(ArrayList<String> keyPattern)

### getRowIndexBegin

public int getRowIndexBegin()

### setRowIndexBegin

public void setRowIndexBegin(int rowIndexBegin)

### getSeqBeginString

public String getSeqBeginString()

### setSeqBeginString

public void setSeqBeginString(String seqBeginString)

### getSeqEndString

public String getSeqEndString()

### setSeqEndString

public void setSeqEndString(String seqEndString)

### endWithValueString

public HashSet<String> endWithValueString()

### setEndWithValueString

public void setEndWithValueString(HashSet<String> endWithValueString)